package com.reyun.saas.mob.user.dao;

import com.reyun.saas.common.core.Mapper;
import com.reyun.saas.mob.user.domain.App;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface AppMapper extends Mapper<App> {

    List<Map<String,Object>> findAppsBySubAppManager(@Param("appIds") String appIds, @Param("cid") String cid,@Param("os") String os);

    List<Map<String,Object>> selectBySuperUser(@Param("rootParent") Long rootParent, @Param("cid") String cid,@Param("os") String os);

    List<App> findAppByAppkeyLinkChannel(@Param("appkeys") List<String> appkeys,@Param("isActive") Boolean isActive);

    List<App> findAppByAppkeyLinkWorkOrder(@Param("appkeys") List<String> appkeys);
}
